Public Attributes | List of all members
_hal_i2s_callback Struct Reference
Peripheral Driver » HAL Driver » I2S » Callback Structures » Callback

HAL_I2S Callback function definition. More...

`#include <gr55xx_hal_i2s.h>`

## Public Attributes
void(* | i2s_msp_init )(i2s_handle_t *p_i2s)
| I2S init MSP callback More...
void(* | i2s_msp_deinit )(i2s_handle_t *p_i2s)
| I2S de-init MSP callback More...
void(* | i2s_error_callback )(i2s_handle_t *p_i2s)
| I2S error callback More...
void(* | i2s_rx_cplt_callback )(i2s_handle_t *p_i2s)
| I2S rx transfer completed callback More...
void(* | i2s_tx_cplt_callback )(i2s_handle_t *p_i2s)
| I2S tx transfer completed callbac More...
void(* | i2s_tx_rx_cplt_callback )(i2s_handle_t *p_i2s)
| I2S tx/rx transfer completed callback More...

## Detailed Description

HAL_I2S Callback function definition.

Definition at line 184 of file gr55xx_hal_i2s.h.

## Member Data Documentation

## ◆ i2s_error_callback

void(* _hal_i2s_callback::i2s_error_callback) (i2s_handle_t *p_i2s)

I2S error callback

Definition at line 188 of file gr55xx_hal_i2s.h.

## ◆ i2s_msp_deinit

void(* _hal_i2s_callback::i2s_msp_deinit) (i2s_handle_t *p_i2s)

I2S de-init MSP callback

Definition at line 187 of file gr55xx_hal_i2s.h.

## ◆ i2s_msp_init

void(* _hal_i2s_callback::i2s_msp_init) (i2s_handle_t *p_i2s)

I2S init MSP callback

Definition at line 186 of file gr55xx_hal_i2s.h.

## ◆ i2s_rx_cplt_callback

void(* _hal_i2s_callback::i2s_rx_cplt_callback) (i2s_handle_t *p_i2s)

I2S rx transfer completed callback

Definition at line 189 of file gr55xx_hal_i2s.h.

## ◆ i2s_tx_cplt_callback

void(* _hal_i2s_callback::i2s_tx_cplt_callback) (i2s_handle_t *p_i2s)

I2S tx transfer completed callbac

Definition at line 190 of file gr55xx_hal_i2s.h.

## ◆ i2s_tx_rx_cplt_callback

void(* _hal_i2s_callback::i2s_tx_rx_cplt_callback) (i2s_handle_t *p_i2s)

I2S tx/rx transfer completed callback

Definition at line 191 of file gr55xx_hal_i2s.h.

The documentation for this struct was generated from the following file:

- gr55xx_hal_i2s.h